Commit f3b9a7f9 authored by Daniel Scheffler's avatar Daniel Scheffler
Browse files

Revised installation guidelines within README.rst, README.md and...

Revised installation guidelines within README.rst, README.md and installation.rst. Added link for nosetests HTML report.
parent e247b8ab
Pipeline #701 passed with stages
in 6 minutes and 38 seconds
...@@ -17,7 +17,7 @@ ...@@ -17,7 +17,7 @@
[![coverage report](https://gitext.gfz-potsdam.de/danschef/arosics/badges/master/coverage.svg)](http://danschef.gitext.gfz-potsdam.de/arosics/coverage/) [![coverage report](https://gitext.gfz-potsdam.de/danschef/arosics/badges/master/coverage.svg)](http://danschef.gitext.gfz-potsdam.de/arosics/coverage/)
[![pypi_status](https://img.shields.io/pypi/v/arosics.svg)](https://pypi.python.org/pypi/arosics) [![pypi_status](https://img.shields.io/pypi/v/arosics.svg)](https://pypi.python.org/pypi/arosics)
See also the latest [coverage](http://danschef.gitext.gfz-potsdam.de/arosics/coverage/) report. See also the latest [coverage](http://danschef.gitext.gfz-potsdam.de/arosics/coverage/) and the [nosetests](http://danschef.gitext.gfz-potsdam.de/arosics/nosetests_reports/nosetests.html) HTML report.
...@@ -49,14 +49,26 @@ For further details regarding the implemented algorithm, example use cases, qual ...@@ -49,14 +49,26 @@ For further details regarding the implemented algorithm, example use cases, qual
Installation Installation
------------ ------------
Use the pip installer: AROSICS depends on some open source packages which are usually installed without problems by the automatic install
routine. However, for some projects, we strongly recommend resolving the dependency before the automatic installer
is run. This approach avoids problems with conflicting versions of the same software.
Using [conda](https://conda.io/docs/), the recommended approach is:
```bash
# create virtual environment for arosics, this is optional
conda create -y -q --name arosics python=3
source activate arosics
conda install -y -q -c conda-forge numpy gdal scikit-image matplotlib
```
To install AROSICS, use the pip installer:
```bash ```bash
pip install arosics pip install arosics
``` ```
* Or clone the repository via GIT and update the PATH environment variable: Or clone the repository via GIT and update the PATH environment variable:
```bash ```bash
cd /your/installation/folder cd /your/installation/folder
......
...@@ -30,7 +30,7 @@ Status ...@@ -30,7 +30,7 @@ Status
.. image:: https://img.shields.io/pypi/v/arosics.svg .. image:: https://img.shields.io/pypi/v/arosics.svg
:target: https://pypi.python.org/pypi/arosics :target: https://pypi.python.org/pypi/arosics
See also the latest coverage_ report. See also the latest coverage_ report and the nosetests_ HTML report.
Features Features
...@@ -42,21 +42,34 @@ Features ...@@ -42,21 +42,34 @@ Features
Installation Installation
------------ ------------
Use the pip installer: AROSICS depends on some open source packages which are usually installed without problems by the automatic install
routine. However, for some projects, we strongly recommend resolving the dependency before the automatic installer
is run. This approach avoids problems with conflicting versions of the same software.
Using conda_, the recommended approach is:
.. code-block:: console
# create virtual environment for arosics, this is optional
conda create -y -q --name arosics python=3
source activate arosics
conda install -y -q -c conda-forge numpy gdal scikit-image matplotlib
To install AROSICS, use the pip installer:
.. code-block:: console
pip install arosics pip install arosics
Or clone the repository via GIT and update the PATH environment variable: Or clone the repository via GIT and update the PATH environment variable:
cd /your/installation/folder .. code-block:: console
cd /your/installation/folder
git clone https://gitext.gfz-potsdam.de/danschef/arosics.git git clone https://gitext.gfz-potsdam.de/danschef/arosics.git
git clone https://gitext.gfz-potsdam.de/danschef/geoarray.git git clone https://gitext.gfz-potsdam.de/danschef/geoarray.git
git clone https://gitext.gfz-potsdam.de/danschef/py_tools_ds.git git clone https://gitext.gfz-potsdam.de/danschef/py_tools_ds.git
PATH=$PATH:/path/to/your/installation/folder/arosics:/path/to/your/installation/folder/geoarray:/path/to/your/installation/folder/py_tools_ds PATH=$PATH:/path/to/your/installation/folder/arosics:/path/to/your/installation/folder/geoarray:/path/to/your/installation/folder/py_tools_ds
...@@ -69,4 +82,6 @@ The test data represent modified Copernicus Sentinel data (2016). ...@@ -69,4 +82,6 @@ The test data represent modified Copernicus Sentinel data (2016).
.. _Cookiecutter: https://github.com/audreyr/cookiecutter .. _Cookiecutter: https://github.com/audreyr/cookiecutter
.. _`audreyr/cookiecutter-pypackage`: https://github.com/audreyr/cookiecutter-pypackage .. _`audreyr/cookiecutter-pypackage`: https://github.com/audreyr/cookiecutter-pypackage
.. _coverage: http://danschef.gitext.gfz-potsdam.de/arosics/coverage/ .. _coverage: http://danschef.gitext.gfz-potsdam.de/arosics/coverage/
.. _nosetests: http://danschef.gitext.gfz-potsdam.de/arosics/nosetests_reports/nosetests.html
.. _conda: https://conda.io/docs/
...@@ -4,15 +4,39 @@ ...@@ -4,15 +4,39 @@
Installation Installation
============ ============
AROSICS depends on some open source packages which are usually installed without problems by the automatic install
routine. However, for some projects, we strongly recommend resolving the dependency before the automatic installer
is run. This approach avoids problems with conflicting versions of the same software.
Using conda_, the recommended approach is:
.. code-block:: console
# create virtual environment for arosics, this is optional
conda create -y -q --name arosics python=3
source activate arosics
conda install -y -q -c conda-forge numpy gdal scikit-image matplotlib
Stable release Stable release
-------------- --------------
To install arosics, run this command in your terminal: To install AROSICS, use the pip installer:
.. code-block:: console .. code-block:: console
pip install arosics
Or clone the repository via GIT and update the PATH environment variable:
.. code-block:: console
cd /your/installation/folder
git clone https://gitext.gfz-potsdam.de/danschef/arosics.git
git clone https://gitext.gfz-potsdam.de/danschef/geoarray.git
git clone https://gitext.gfz-potsdam.de/danschef/py_tools_ds.git
PATH=$PATH:/path/to/your/installation/folder/arosics:/path/to/your/installation/folder/geoarray:/path/to/your/installation/folder/py_tools_ds
$ pip install arosics
This is the preferred method to install arosics, as it will always install the most recent stable release. This is the preferred method to install arosics, as it will always install the most recent stable release.
...@@ -49,3 +73,4 @@ Once you have a copy of the source, you can install it with: ...@@ -49,3 +73,4 @@ Once you have a copy of the source, you can install it with:
.. _Github repo: https://gitext.gfz-potsdam.de/danschef/arosics .. _Github repo: https://gitext.gfz-potsdam.de/danschef/arosics
.. _tarball: https://gitext.gfz-potsdam.de/danschef/arosics/repository/archive.tar.gz?ref=master .. _tarball: https://gitext.gfz-potsdam.de/danschef/arosics/repository/archive.tar.gz?ref=master
.. _conda: https://conda.io/docs/
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment